Subject: [multimob] Questions for MLD Proxy

From: Aaron Feng <[email-masked]>
Date: Thu, 25 Aug 2011 11:42:05 +0800

Hi!
I have a quention for MLD Proxy. In RFC 6224, it says  MLD Proxy instances
should be deployed on MAGs. After receiving the MLD report message from MNs,
the attached MAG should be on behalf of the MNs sending MLD report
message using the link address of  MAG itself as the source address.
Moreover, according to RFC 3810, MLDv2 protocol is used by an IPv6 router to
discover the presence of multicast listeners *on directly attached links*. My
question is that, in most cases, the LMA and MAG are not directly connected
and they don't have the same link address prefix, so maybe LMA will discard
the MLD report messages for not directly connected even the MLD report can
be transmitted through the LMA-MAG tunnel. (I think at first LMA shuold
decapsu)

                 Aaron Feng